program intvwin;

uses
  Forms,
  frmMainunt in 'frmMainunt.pas' {frmMain},
  frmMenuunt in 'frmMenuunt.pas' {frmMenu},
  frmDebuggerunt in 'frmDebuggerunt.pas' {frmDebugger},
  Profile in 'Profile.pas',
  HexWrite in 'Hexwrite.pas',
  Keyboard in 'Keyboard.pas',
  Equation in 'Equation.pas',
  frmPrefsUnt in 'frmPrefsUnt.pas' {frmPrefs},
  frmExpRefUnt in 'frmExpRefUnt.pas' {frmExpRef},
  frmInfoUnt in 'frmInfoUnt.pas' {frmInfo},
  frmProfileSettingsUnt in 'frmProfileSettingsUnt.pas' {frmProfileSettings},
  frmAltMenuUnt in 'frmAltMenuUnt.pas' {frmAltMenu},
  Base in 'Base.pas',
  IntvControls in 'IntvControls.pas',
  IntvDis in 'Intvdis.pas',
  frmAboutUnt in 'frmAboutUnt.pas' {frmAbout},
  IntvSound in 'intvsound.pas',
  frmManualUnt in 'frmManualUnt.pas' {frmManual},
  frmConfigureUnt in 'frmConfigureUnt.pas' {frmConfigure},
  KBComponent in 'KBComponent.pas',
  Equation6502 in 'Equation6502.pas',
  frmDebugger6502unt in 'frmDebugger6502unt.pas' {frmDebugger6502},
  Dis6502 in 'dis6502.pas',
  WriteAVI in 'writeavi.pas',
  AVI in 'Avi.pas',
  IVoice1 in 'Ivoice1.pas',
  CRC16 in 'crc16.pas',
  ICartROM in 'icartrom.pas',
  frmKailleraUnt in 'frmKailleraUnt.pas' {frmKaillera};

{$R *.RES}

begin
  kailleraInit;

  Application.Initialize;
  Application.CreateForm(TfrmMain, frmMain);
  Application.CreateForm(TfrmMenu, frmMenu);
  Application.CreateForm(TfrmDebugger, frmDebugger);
  Application.CreateForm(TfrmDebugger6502, frmDebugger6502);
  Application.CreateForm(TfrmPrefs, frmPrefs);
  Application.CreateForm(TfrmExpRef, frmExpRef);
  Application.CreateForm(TfrmInfo, frmInfo);
  Application.CreateForm(TfrmProfileSettings, frmProfileSettings);
  Application.CreateForm(TfrmAltMenu, frmAltMenu);
  Application.CreateForm(TfrmAbout, frmAbout);
  Application.CreateForm(TfrmManual, frmManual);
  Application.CreateForm(TfrmConfigure, frmConfigure);
  Application.CreateForm(TfrmKaillera, frmKaillera);
  Application.Run;

  kailleraShutdown;
end.

// ----------------------------------------------------------------------
// IntvWin - Mattel Intellivision Emulator
// Copyright (C) 2000 John Dullea
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// ----------------------------------------------------------------------
